package com.ruoyi.project.training.elearn.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.training.elearn.domain.TElResource;

/**
 * 学习资料管理Mapper接口
 * 
 * @author ssy
 * @date 2024-06-05
 */
public interface TElResourceMapper 
{
    /**
     * 查询课件列表
     */
    public List<TElResource> selectFileList(TElResource tElResource);

    /**
     * 查询学习资料管理
     * 
     * @param id 学习资料管理ID
     * @return 学习资料管理
     */
    public TElResource selectTElResourceById(Long id);

    /**
     * 查询学习资料管理列表
     * 
     * @param tElResource 学习资料管理
     * @return 学习资料管理集合
     */
    @DataScope(deptAlias = "d")
    public List<TElResource> selectTElResourceList(TElResource tElResource);

    /**
     * 新增学习资料管理
     * 
     * @param tElResource 学习资料管理
     * @return 结果
     */
    public int insertTElResource(TElResource tElResource);

    /**
     * 修改学习资料管理
     * 
     * @param tElResource 学习资料管理
     * @return 结果
     */
    public int updateTElResource(TElResource tElResource);

    /**
     * 删除学习资料管理
     * 
     * @param id 学习资料管理ID
     * @return 结果
     */
    public int deleteTElResourceById(Long id);

    /**
     * 批量删除学习资料管理
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTElResourceByIds(Long[] ids);
}
